Quick Tip: Install Fingerprint Scanner (FPrint) in Ubuntu 16.04 Linux

For Ubuntu 16.04 LTS or greater, it would be simple as only required two steps to install Fingerprint Scanner. Tested using Lenovo Thinkpad X240

  1. sudo apt install libpam-fprintd
  2. fprintd-enroll

That’s it. You can now login or even use for sudo access using finger print

Alternative: Fingerprint GUI

tux@freelinux:~$ sudo apt install libpam-fprintd
Reading package lists… Done.
Building dependency tree
Reading state information… Done
The following NEW packages will be installed:
libpam-fprintd
0 upgraded, 1 newly installed, 0 to remove and 282 not upgraded.
Need to get 0 B/9,336 B of archives.
After this operation, 68.6 kB of additional disk space will be used.
Selecting previously unselected package libpam-fprintd:amd64.
(Reading database … 173955 files and directories currently installed.)
Preparing to unpack …/libpam-fprintd_0.6.0-1_amd64.deb …
Unpacking libpam-fprintd:amd64 (0.6.0-1) …
Setting up libpam-fprintd:amd64 (0.6.0-1) …

tux@freelinux:~$ fprintd-enroll
Using device /net/reactivated/Fprint/Device/0
Enrolling right-index-finger finger.
Enroll result: enroll-stage-passed
Enroll result: enroll-stage-passed
Enroll result: enroll-stage-passed
Enroll result: enroll-stage-passed
Enroll result: enroll-completed

Now can use fingerprint reader to run sudo

tux@freelinux:~$ sudo apt-get update
Swipe your finger across the fingerprint reader
Get:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Hit:2 http://sg.archive.ubuntu.com/ubuntu xenial InRelease
Hit:3 http://ppa.launchpad.net/fingerprint/fingerprint-gui/ubuntu xenial InRelease

About the author

Free Linux Tutorials

View all posts

7 Comments

  • Not valid tip any more. Ubuntu removed gksu-polkit since version 18, so you wont be able to sudo with this steps.

  • Hey there, You have performed a great job. I will definitely digg it and in my opinion recommend to
    my friends. I am sure they will be benefited from this website.

  • Very good blog post. I absolutely love this site. Keep it up!

  • After giving command fprintd-enroll i’m getting below error.Help me?

    list_devices failed: No devices available

  • I savor, lead to I found just what I used to be
    taking a look for. You’ve ended my four day long hunt!

    God Bless you man. Have a great day. Bye

  • Hey there this is somewhat of off topic but I was wondering if blogs use WYSIWYG editors or if you have to manually
    code with HTML. I’m starting a blog soon but have no coding experience so I wanted to get guidance from someone with experience.
    Any help would be enormously appreciated!

Leave a Reply